Subject: Re: [PATCH v3 2/2] net: ethernet: nb8800: handle all RGMII definitions

From: Sebastian Frias <[email-masked]>
Date: Mon, 7 Nov 2016 11:01:39 +0100

Hi Måns,

On 11/05/2016 01:58 PM, Måns Rullgård wrote:
>>  	if (gigabit) {
>> -		if (priv->phy_mode == PHY_INTERFACE_MODE_RGMII)
>> +		if (phy_interface_is_rgmii(phydev))
>>  			mac_mode |= RGMII_MODE;
>>
>>  		mac_mode |= GMAC_MODE;
> 
> As I said before, this part can/should be applied separately, although
> personally I probably wouldn't have bothered adding a single-use variable.

It was for consistency with other functions that use 'phydev', but I don't
mind making the changes.

Just to be clear, when you say "can/should be applied separately", do you
mean that this patch should not be part of a series, and that I should split
the series into separate patches?

Best regards,

Sebastian